:man_page: mongoc_client_encryption_encrypt_opts_t

mongoc_client_encryption_encrypt_opts_t
=======================================

Synopsis
--------

.. code-block:: c

  typedef struct _mongoc_client_encryption_encrypt_opts_t mongoc_client_encryption_encrypt_opts_t;


Used to set options for :symbol:`mongoc_client_encryption_encrypt()`.

.. only:: html

  Functions
  ---------

  .. toctree::
    :titlesonly:
    :maxdepth: 1

    mongoc_client_encryption_encrypt_opts_new
    mongoc_client_encryption_encrypt_opts_destroy
    mongoc_client_encryption_encrypt_opts_set_keyid
    mongoc_client_encryption_encrypt_opts_set_keyaltname
    mongoc_client_encryption_encrypt_opts_set_algorithm
    mongoc_client_encryption_encrypt_opts_set_contention_factor
    mongoc_client_encryption_encrypt_opts_set_query_type

.. seealso::

  | :symbol:`mongoc_client_encryption_encrypt()`

